package com.yonge.cooleshow.biz.dal.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 审核操作对象
 *
 * @Author: liweifan
 * @Data: 2022/3/18 15:04
 */
@ApiModel(value = "AuthOperaReq", description = "审核操作对象")
public class AuthOperaReq {
    @NotNull(message = "审核单id不能为空")
    @ApiModelProperty(value = "审核单id", required = true)
    private Long id;
    @NotNull(message = "请说明审核是否通过")
    @ApiModelProperty(value = "审核是否通过", required = true)
    private Boolean isPass;
    @NotBlank(message = "请说明审核理由")
    @ApiModelProperty(value = "审核理由", required = true)
    private String reason;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Boolean getPass() {
        return isPass;
    }

    public void setPass(Boolean pass) {
        isPass = pass;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }
}
